%define	modname	omnibook
%define	name	dkms-%{modname}
# When upstream do (very infrequent) releases, they're versioned as the
# date of the release. So for SVN snapshots, the sanest thing to do is
# set the version as the date the snapshot was taken, and the release
# as 0.svnrevison.Xmdv . This system should be proof against any
# possible problems, while sticking to MDV conventions. - AdamW 2008/05
%define	version	20080513
%define	rel	1
%define svn	274
%if %svn
%define release		%mkrel 0.%{svn}.%{rel}
%define distname	%{modname}-%{svn}.tar.lzma
%define dirname		%{modname}
%else
%define release		%mkrel %{rel}
%define distname	%{modname}-%{version}.tar.gz
%define dirname		%{modname}-%{version}
%endif

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	DKMS-ready module adding kernel support for several omnibook-compatible laptops
License:	GPLv2+
Source0:	http://prdownloads.sourceforge.net/omke/%{distname}
URL:		http://sourceforge.net/projects/omke
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Group:		Development/Kernel
Requires(pre):	dkms
Requires(post): dkms
BuildArch:	noarch

%description
This package contains a DKMS-ready module adding kernel support
for HP OmniBooks, Pavilions, Toshiba Satellites, Tecras,
Equiums and some Acer Aspire and Compal laptops.

%prep
%setup -q -n %{dirname}
chmod -R go=u-w .

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_usrsrc}/%{modname}-%{version}-%{release}
cp -a * %{buildroot}%{_usrsrc}/%{modname}-%{version}-%{release}
cat > %{buildroot}%{_usrsrc}/%{modname}-%{version}-%{release}/dkms.conf <<EOF

PACKAGE_VERSION="%{version}-%{release}"

# Items below here should not have to change with each driver version
PACKAGE_NAME="%{modname}"
MAKE[0]="make -C \${kernel_source_dir} SUBDIRS=\${dkms_tree}/\${PACKAGE_NAME}/\${PACKAGE_VERSION}/build"
CLEAN="make -C \${kernel_source_dir} SUBDIRS=\${dkms_tree}/\${PACKAGE_NAME}/\${PACKAGE_VERSION}/build clean"
BUILT_MODULE_NAME[0]="\$PACKAGE_NAME"
DEST_MODULE_LOCATION[0]="/kernel/drivers/char/omnibook"
REMAKE_INITRD="no"
AUTOINSTALL="YES"
EOF

%post
#if [ $1 == 1 ]
#then 
  dkms add -m %{modname} -v %{version}-%{release} --rpm_safe_upgrade
  dkms build -m %{modname} -v %{version}-%{release} --rpm_safe_upgrade
  dkms install -m %{modname} -v %{version}-%{release} --rpm_safe_upgrade
#fi


%preun
#if [ $1 == 0 ]
#  then
  dkms remove -m %{modname} -v %{version}-%{release} --rpm_safe_upgrade --all
#fi

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%docdir %{_usrsrc}/%{modname}-%{version}-%{release}/doc
/usr/src/%{modname}-%{version}-%{release}



%changelog
* Wed May 14 2008 Adam Williamson <awilliamson@mandriva.com> 20080513-0.274.1mdv2008.1
+ Revision: 206927
- add buildroot
- adopt a new versioning system which should cover all eventualities
- no need to use -c for %%setup
- new license policy
- from Vincent Panel:
  	+ update to latest SVN to fix build with 2.6.24+ kernels
  	+ revise description

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 20060208-2mdv2008.1
+ Revision: 124042
- kill re-definition of %%buildroot on Pixel's request

* Tue Oct 02 2007 Olivier Blin <oblin@mandriva.com> 20060208-2mdv2008.0
+ Revision: 94467
- update to new version


* Tue Oct 31 2006 Stefan van der Eijk <stefan@mandriva.org> 20060208-1mdv2007.0
+ Revision: 74066
- 20060208
- Import dkms-omnibook

* Fri Apr 21 2006 Vincent Panel <yohonet@gmail.com> 20060126-2mdk
- Fixed URL
- Use the /usr/src tag
- Add AUTOINSTALL="YES"
- Fixed %%doc

* Tue Apr 18 2006 Vincent Panel <yohonet@gmail.com> 20060126-1mdk
- Initial package

